<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de productosfranquicias y productosgenerales(Franquiciatario)
class ProductoAdicionalA_model extends CI_Model { 

   public function __construct() {
      parent::__construct();
   }


    //Consulta que elimina los productos
    public function eliminar ($id){
      
      $this->db->where('IdProductosFranquicias', $id);
      $this->db->where('PiezasTotales'>=1);
      $this->db->delete('productosfranquicias');
      $res=$this->db->affected_rows();
      if($res>0){
        //Muestra una alerta cuando se realizo
     //  echo "<script>alert('Los datos se han eliminado correctamente');</script>";
     // redirect('productos/Franquiciatario/productoAdicionalA','refresh');
         echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."productos/Franquiciatario/productoAdicionalA';
                 </script>";

      }else{
        //Muestra una alerta cuando no se realizo
     //  echo "<script>alert('Error, no se pudieron eliminar los datos debido a que se ecuentran existencias del producto seleccionado');</script>";
     // redirect('productos/Franquiciatario/productoAdicionalA','refresh');
        echo "<script>alert('Error, no se pudieron eliminar los datos debido a que se ecuentran existencias del producto seleccionado');
                 window.location.href='".base_url()."productos/Franquiciatario/productoAdicionalA';
                 </script>";
      }
   }

    //Consulta que hace la busqueda del producto seleccionado
    public function obtenerenlace ($id){
      $this->db->select('*');
      $this->db->join('productosgenerales','ProductosGenerales_IdProductosGenerales=IdProductosGenerales','inner');
      $this->db->where('ProductosGenerales_IdProductosGenerales', $id);
      $query=$this->db->get('productosfranquicias');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }

    
    //Consulta que hace la actualización del producto seleccionado
    function editarenlace ($IdProductosGenerales, $dataa, $datoo,$data)
   {

      $this->db->query("UPDATE productosgenerales INNER JOIN productosfranquicias ON productosfranquicias.ProductosGenerales_IdProductosGenerales = productosgenerales.IdProductosGenerales SET productosfranquicias.PiezasTotales ='".$datoo."', productosgenerales.PrecioVenta='".$dataa."', productosgenerales.PrecioCompra='".$data."' where productosgenerales.IdProductosGenerales= '".$IdProductosGenerales."'");
      
      $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo
      if($res>=1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        // redirect('productos/Franquiciatario/productoAdicionalA','refresh');
        echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."productos/Franquiciatario/productoAdicionalA';
                 </script>";
      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
       //  echo "<script>alert('Los datos no pudieron ser guardados correctamente');</script>";
       // redirect("productos/Franquiciatario/productoAdicionalA/editar/$IdProductosGenerales",'refresh');
        echo "<script>alert('Los datos no pudieron ser guardados correctamente');
                 window.location.href='".base_url()."productos/Franquiciatario/productoAdicionalA/editar/$IdProductosGenerales';
                 </script>";
      }else if($res== 0){
        // echo "<script>alert('No se hizo ningún cambio');</script>";
        //  redirect('productos/Franquiciatario/productoAdicionalA','refresh');
        echo "<script>alert('No se hizo ningún cambio');
                 window.location.href='".base_url()."productos/Franquiciatario/productoAdicionalA';
                 </script>";
      }
      
    
   }

//Consulta que hace la busqueda de los tipos de productos 
public function BuscarTipo(){
     $query = $this->db-> query('SELECT IdTipoProducto,NombreTipoProducto FROM tipoproducto WHERE IdTipoProducto = 3'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdTipoProducto, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoProducto, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

  
//Consulta que hace la busqueda de la categoría de los productos 
  public function BuscarCategoria(){
     $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
  //Consulta que hace la busqueda de todos los productos registrados de tipo interno 
  public function BuscarProducto(){
     $query = $this->db-> query('SELECT IdProductosGenerales,NombreProducto FROM productosgenerales WHERE TipoProducto_IdTipoProducto = 3'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdProductosGenerales, ENT_QUOTES)] = htmlspecialchars($row->NombreProducto, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

 //Consulta que hace la busqueda de la franquicia a la que pertenece el usuario logueado 
 public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
 //onsulta que hace la busqueda de los datos del usuario logueado
 public function BuscarUsuario(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdUsuarios, ENT_QUOTES)] = htmlspecialchars($row->NombreUsuario, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
         
}
